﻿using Infragistics.Controls.Editors;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace ComboDD
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();           
        }

        private void xamMultiColumnComboEditor_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Tab && (sender as XamComboEditor).IsDropDownOpen)
            {
                Popup p = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(Popup), true) as Popup;
                ItemsPanel ip = ((p.Child as Border).Child as Grid).Children[0] as ItemsPanel;
                foreach (var item in ip.Children)
                {
                    if ((item as ComboEditorItemControl).Item.IsFocused)
                    {
                        (item as ComboEditorItemControl).Item.IsSelected = true;
                    }
                }
                e.Handled = true;                
            }   
        }        
    }
}
